KBuildServiceFactory Class Reference

`#include <kbuildservicefactory.h>`

Inherits KServiceFactory.

## Public Member Functions

| KBuildServiceFactory (KSycocaFactory *serviceTypeFactory, KBuildServiceGroupFactory *serviceGroupFactory)
KService * | findServiceByName (const QString &_name)
virtual KSycocaEntry * | createEntry (const QString &file, const char *resource)
virtual KService * | createEntry (int)
void | addEntry (KSycocaEntry *newEntry, const char *resource)
virtual void | save (QDataStream &str)
virtual void | saveHeader (QDataStream &str)

## Static Public Member Functions

static QStringList | resourceTypes ()

## Detailed Description

Service factory for building ksycoca.

Definition at line 35 of file kbuildservicefactory.h.

## Constructor & Destructor Documentation

KBuildServiceFactory::KBuildServiceFactory | ( | KSycocaFactory * | serviceTypeFactory,
|  | KBuildServiceGroupFactory * | serviceGroupFactory
| ) |  |

Create factory.

Definition at line 33 of file kbuildservicefactory.cpp.

## Member Function Documentation

void KBuildServiceFactory::addEntry | ( | KSycocaEntry * | newEntry,
|  | const char * | resource
| ) |  |

Add a new entry.

Definition at line 228 of file kbuildservicefactory.cpp.

KSycocaEntry * KBuildServiceFactory::createEntry | ( | const QString & | file,
|  | const char * | resource
| ) |  |

virtual

Construct a KService from a config file.

Definition at line 67 of file kbuildservicefactory.cpp.

QStringList KBuildServiceFactory::resourceTypes | ( |  | ) |

static

Returns all resource types for this service factory.

Definition at line 50 of file kbuildservicefactory.cpp.

void KBuildServiceFactory::save | ( | QDataStream & | str | ) |

virtual

Write out service specific index files.

Definition at line 112 of file kbuildservicefactory.cpp.

void KBuildServiceFactory::saveHeader | ( | QDataStream & | str | ) |

virtual

Write out header information.

Don't forget to call the parent first when you override this function.

Definition at line 100 of file kbuildservicefactory.cpp.

The documentation for this class was generated from the following files:

- kbuildservicefactory.h
- kbuildservicefactory.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys